org.apache.cassandra.db

## Class RowIndexEntry.Serializer

- java.lang.Object
- - org.apache.cassandra.db.RowIndexEntry.Serializer

- Enclosing class:
    RowIndexEntry

      public static class RowIndexEntry.Serializer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowIndexEntry.Serializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RowIndexEntry` | `deserialize(java.io.DataInput in, Descriptor.Version version)`
    `void` | `serialize(RowIndexEntry rie, java.io.DataOutput out)`
    `void` | `skip(java.io.DataInput in, Descriptor.Version version)`
    `void` | `skipPromotedIndex(java.io.DataInput in)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RowIndexEntry.Serializer

          public RowIndexEntry.Serializer()

  - ### Method Detail

    - #### serialize

          public void serialize(RowIndexEntry rie,
                       java.io.DataOutput out)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public RowIndexEntry deserialize(java.io.DataInput in,
                                  Descriptor.Version version)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### skip

          public void skip(java.io.DataInput in,
                  Descriptor.Version version)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### skipPromotedIndex

          public void skipPromotedIndex(java.io.DataInput in)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2014 The Apache Software Foundation